Bug 137214 - netconsole freezes during printk() when output link not up
Summary: netconsole freezes during printk() when output link not up
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Moyer
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On: IT#36426
Blocks: 143573
TreeView+ depends on / blocked
 
Reported: 2004-10-26 18:46 UTC by Alexandre Oliva
Modified: 2010-10-22 02:40 UTC (History)
4 users (show)

Fixed In Version: RHSA-2006-0191
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 17:53:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for e100 netconsole lockup (357 bytes, patch)
2005-01-23 03:30 UTC, Steven Rostedt
no flags Details | Diff
fix hang in netconsole when doing a printk with link down (950 bytes, patch)
2005-09-08 15:16 UTC, Jeff Moyer
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0191 normal SHIPPED_LIVE Important: kernel security update 2006-02-01 05:00:00 UTC

Description Alexandre Oliva 2004-10-26 18:46:05 UTC
This is the RHEL2.1 version of bug #127815.  It is supposed to be
fixed by a patch that went into the RHEL3 U4 patch pool.

If you set up netconsole on a box with an e100 network card, unplug
the network cable for 20 seconds or so, then plug it back in, the
machine hangs right after printing the `e100: eth3 NIC Link is Up 100
Mbps Full duplex' message.

Comment 1 Jeff Moyer 2004-11-01 21:59:45 UTC
Same patch submitted for inclusion in AS2.1.

Comment 2 Steven Rostedt 2005-01-23 03:30:21 UTC
Created attachment 110099 [details]
Fix for e100 netconsole lockup

When the e100 overflows the transmit buffer, the queue is stopped and
e100_net_poll never starts it again. So netpoll_send_skb loops forever.

Comment 8 Jeff Moyer 2005-09-08 15:14:33 UTC
The patch posted in comment #2 is NOT the right fix for this issue.  The issue
we're discussing involves being unable to send a printk due to the network link
being down.  In this case, we loop forever in transmit_raw_skb.  The idea, here,
is that by calling the network adapter's poll routine, we will free up some
resources that will allow us to send the packet.  However, the inability to send
a packet is not caused by a lack of resources, in this case.

I'll attach the same fix that was applied in the RHEL 3 tree.

Comment 9 Jeff Moyer 2005-09-08 15:16:32 UTC
Created attachment 118599 [details]
fix hang in netconsole when doing a printk with link down

The previous patch is for a different problem.	This patch solves the problem
listed in this bugzilla.

Comment 16 Red Hat Bugzilla 2006-02-01 17:53:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0191.html



Note You need to log in before you can comment on or make changes to this bug.